diff -r 189608575f90 trytond/modules/calendar_scheduling/calendar_.py
--- a/trytond/modules/calendar_scheduling/calendar_.py	Sat Aug 11 11:56:24 2012 +0200
+++ b/trytond/modules/calendar_scheduling/calendar_.py	Mon Sep 24 20:36:40 2012 +0200
@@ -734,37 +710,35 @@
             return None
         if organizer == event.calendar.owner.email:
             return None
-        if attendee.email != event.calendar.owner.email:
+        if self.email != event.calendar.owner.email:
             return None
 
         return organizer
 
-    def write(self, ids, values):
-        event_obj = Pool().get('calendar.event')
+    @classmethod
+    def write(cls, attendees, values):
+        Event = Pool().get('calendar.event')
 
         if Transaction().user == 0:
             # user is 0 means write is triggered by another one
-            return super(EventAttendee, self).write(ids, values)
+            super(EventAttendee, cls).write(attendees, values)
+            return
 
         if 'status' not in values:
-            return super(EventAttendee, self).write(ids, values)
-
-        if isinstance(ids, (int, long)):
-            ids = [ids]
+            super(EventAttendee, cls).write(attendees, values)
+            return
 
         att2status = {}
-        attendees = self.browse(ids)
         for attendee in attendees:
             att2status[attendee.id] = attendee.status
 
-        res = super(EventAttendee, self).write(ids, values)
+        super(EventAttendee, cls).write(attendees, values)
 
-        attendees = self.browse(ids)
         for attendee in attendees:
             owner = attendee.event.calendar.owner
             if not owner or not owner.calendar_email_notification_partstat:
                 continue
-            organizer = self.organiser_to_notify(attendee)
+            organizer = attendee.organiser_to_notify()
             if not organizer:
                 continue
 
@@ -775,32 +749,28 @@
                 continue
 
             with Transaction().set_context(skip_schedule_agent=True):
-                ical = event_obj.event2ical(attendee.event)
+                ical = attendee.event.event2ical()
             if not hasattr(ical, 'method'):
                 ical.add('method')
             ical.method.value = 'REPLY'
 
-            subject, body = self.subject_body(new, attendee.event, owner)
-            msg = self.create_msg(owner.email, organizer, subject, body, ical)
+            subject, body = attendee.subject_body(new, owner)
+            msg = cls.create_msg(owner.email, organizer, subject, body, ical)
 
-            sent = self.send_msg(owner.email, organizer, msg,
-                    attendee.event.id)
+            sent = attendee.send_msg(owner.email, organizer, msg)
 
             vals = {'organizer_schedule_status': sent and '1.1' or '5.1'}
-            event_obj.write(attendee.event.id, vals)
+            Event.write([attendee.event], vals)
 
-        return res
-
-    def delete(self, ids):
-        event_obj = Pool().get('calendar.event')
+    @classmethod
+    def delete(cls, attendees):
+        Event = Pool().get('calendar.event')
 
         if Transaction().user == 0:
             # user is 0 means the deletion is triggered by another one
-            return super(EventAttendee, self).delete(ids)
+            super(EventAttendee, cls).delete(attendees)
+            return
 
-        if isinstance(ids, (int, long)):
-            ids = [ids]
-        attendees = self.browse(ids)
         send_list = []
         for attendee in attendees:
             owner = attendee.event.calendar.owner
@@ -809,66 +779,59 @@
                 continue
             if not owner or not owner.calendar_email_notification_partstat:
                 continue
-            organizer = self.organiser_to_notify(attendee)
+            organizer = attendee.organiser_to_notify()
             if not organizer:
                 continue
 
             with Transaction().set_context(skip_schedule_agent=True):
-                ical = event_obj.event2ical(attendee.event)
+                ical = attendee.event.event2ical()
             if not hasattr(ical, 'method'):
                 ical.add('method')
             ical.method.value = 'REPLY'
 
-            subject, body = self.subject_body('declined', attendee.event,
-                    owner)
-            msg = self.create_msg(owner.email, organizer, subject, body, ical)
+            subject, body = attendee.subject_body('declined', owner)
+            msg = cls.create_msg(owner.email, organizer, subject, body, ical)
 
-            send_list.append((owner.email, organizer, msg, attendee.event.id))
+            send_list.append((owner.email, organizer, msg, attendee))
 
-        res = super(EventAttendee, self).delete(ids)
+        super(EventAttendee, cls).delete(attendees)
         for args in send_list:
-            owner_email, organizer, msg, event_id = args
-            sent = self.send_msg(owner_email, organizer, msg, event_id)
+            owner_email, organizer, msg, attendee = args
+            sent = attendee.send_msg(owner_email, organizer, msg)
             vals = {'organizer_schedule_status': sent and '1.1' or '5.1'}
-            event_obj.write(event_id, vals)
+            Event.write([attendee.event], vals)
 
-        return res
+    @classmethod
+    def create(cls, values):
+        Event = Pool().get('calendar.event')
 
-    def create(self, values):
-        event_obj = Pool().get('calendar.event')
-
-        res_id = super(EventAttendee, self).create(values)
+        attendee = super(EventAttendee, cls).create(values)
         if Transaction().user == 0:
             # user is 0 means create is triggered by another one
-            return res_id
-
-        attendee = self.browse(res_id)
+            return attendee
 
         owner = attendee.event.calendar.owner
 
         if (not attendee.status) or attendee.status in ('', 'needs-action'):
-            return res_id
+            return attendee
         if not owner or not owner.calendar_email_notification_partstat:
-            return res_id
-        organizer = self.organiser_to_notify(attendee)
+            return attendee
+        organizer = attendee.organiser_to_notify()
         if not organizer:
-            return res_id
+            return attendee
 
         with Transaction().set_context(skip_schedule_agent=True):
-            ical = event_obj.event2ical(attendee.event)
+            ical = attendee.event.event2ical()
         if not hasattr(ical, 'method'):
             ical.add('method')
         ical.method.value = 'REPLY'
 
-        subject, body = self.subject_body(attendee.status, attendee.event,
-                owner)
-        msg = self.create_msg(owner.email, organizer, subject, body, ical)
+        subject, body = attendee.subject_body(attendee.status, owner)
+        msg = cls.create_msg(owner.email, organizer, subject, body, ical)
 
-        sent = self.send_msg(owner.email, organizer, msg, attendee.event.id)
+        sent = attendee.send_msg(owner.email, organizer, msg)
 
         vals = {'organizer_schedule_status': sent and '1.1' or '5.1'}
-        event_obj.write(attendee.event.id, vals)
+        Event.write([attendee.event], vals)
 
-        return res_id
-
-EventAttendee()
+        return attendee
diff -r 189608575f90 trytond/modules/calendar_scheduling/res.py
--- a/trytond/modules/calendar_scheduling/res.py	Sat Aug 11 11:56:24 2012 +0200
+++ b/trytond/modules/calendar_scheduling/res.py	Mon Sep 24 20:36:40 2012 +0200
@@ -1,11 +1,14 @@
 #This file is part of Tryton.  The COPYRIGHT file at the top level of
 #this repository contains the full copyright notices and license terms.
-from trytond.model import ModelSQL, ModelView, fields
+from trytond.model import fields
+from trytond.pool import PoolMeta
 
+__all__ = ['User']
+__metaclass__ = PoolMeta
 
-class User(ModelSQL, ModelView):
-    _name = 'res.user'
 
+class User:
+    __name__ = 'res.user'
     calendar_email_notification_new = fields.Boolean(
             'New invitations')
     calendar_email_notification_update = fields.Boolean(
@@ -15,25 +18,28 @@
     calendar_email_notification_partstat = fields.Boolean(
             'Invitation Replies')
 
-    def default_calendar_email_notification_new(self):
+    @staticmethod
+    def default_calendar_email_notification_new():
         return True
 
-    def default_calendar_email_notification_update(self):
+    @staticmethod
+    def default_calendar_email_notification_update():
         return True
 
-    def default_calendar_email_notification_cancel(self):
+    @staticmethod
+    def default_calendar_email_notification_cancel():
         return True
 
-    def default_calendar_email_notification_partstat(self):
+    @staticmethod
+    def default_calendar_email_notification_partstat():
         return True
 
-    def __init__(self):
-        super(User, self).__init__()
-        self._preferences_fields += [
+    @classmethod
+    def __setup__(cls):
+        super(User, cls).__setup__()
+        cls._preferences_fields += [
             'calendar_email_notification_new',
             'calendar_email_notification_update',
             'calendar_email_notification_cancel',
             'calendar_email_notification_partstat',
-        ]
-
-User()
+            ]
diff -r 873d6d76778e trytond/modules/calendar_todo/__init__.py
--- a/trytond/modules/calendar_todo/__init__.py	Wed Sep 19 22:19:45 2012 +0200
+++ b/trytond/modules/calendar_todo/__init__.py	Mon Sep 24 20:36:40 2012 +0200
@@ -1,6 +1,21 @@
 #This file is part of Tryton.  The COPYRIGHT file at the top level of
 #this repository contains the full copyright notices and license terms.
 
+from trytond.pool import Pool
 from . import caldav
 from .todo import *
 from .webdav import *
+
+
+def register():
+    Pool.register(
+        Todo,
+        TodoCategory,
+        TodoRDate,
+        TodoRRule,
+        TodoExDate,
+        TodoExRule,
+        TodoAttendee,
+        TodoAlarm,
+        Collection,
+        module='calendar_todo', type_='model')
